aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/init.d/functions
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2004-12-22 23:06:35 +0000
committerBill Nottingham <notting@redhat.com>2004-12-22 23:06:35 +0000
commit3002083491f885f01a554739479762226391c151 (patch)
tree671db872599729d6d731967abedf5bfcbc021c8e /rc.d/init.d/functions
parenteee85e2149750c88f31d203fffffc1bd7f0c67f0 (diff)
downloadinitscripts-3002083491f885f01a554739479762226391c151.tar
initscripts-3002083491f885f01a554739479762226391c151.tar.gz
initscripts-3002083491f885f01a554739479762226391c151.tar.bz2
initscripts-3002083491f885f01a554739479762226391c151.tar.xz
initscripts-3002083491f885f01a554739479762226391c151.zip
remove initlog, minilogd
Diffstat (limited to 'rc.d/init.d/functions')
-rwxr-xr-xrc.d/init.d/functions47
1 files changed, 15 insertions, 32 deletions
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index 907fee10..6180722a 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -145,9 +145,9 @@ daemon() {
# And start it up.
if [ -z "$user" ]; then
- $nice initlog $INITLOG_ARGS -c "$*"
+ $nice $*
else
- $nice initlog $INITLOG_ARGS -c "runuser -s /bin/bash - $user -c \"$*\""
+ $nice runuser -s /bin/bash - $user -c \"$*\"
fi
[ "$?" -eq 0 ] && success $"$base startup" || failure $"$base startup"
}
@@ -365,14 +365,9 @@ update_boot_stage() {
# Log that something succeeded
success() {
- if [ -z "${IN_INITLOG:-}" ]; then
- initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
- else
- # silly hack to avoid EPIPE killing rc.sysinit
- trap "" SIGPIPE
- echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap - SIGPIPE
- fi
+ #if [ -z "${IN_INITLOG:-}" ]; then
+ # initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
+ #fi
[ "$BOOTUP" != "verbose" -a -z "$LSB" ] && echo_success
return 0
}
@@ -380,13 +375,9 @@ success() {
# Log that something failed
failure() {
rc=$?
- if [ -z "${IN_INITLOG:-}" ]; then
- initlog $INITLOG_ARGS -n $0 -s "$1" -e 2
- else
- trap "" SIGPIPE
- echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 2" >&21
- trap - SIGPIPE
- fi
+ #if [ -z "${IN_INITLOG:-}" ]; then
+ # initlog $INITLOG_ARGS -n $0 -s "$1" -e 2
+ #fi
[ "$BOOTUP" != "verbose" -a -z "$LSB" ] && echo_failure
[ -x /usr/bin/rhgb-client ] && /usr/bin/rhgb-client --details=yes
return $rc
@@ -395,13 +386,9 @@ failure() {
# Log that something passed, but may have had errors. Useful for fsck
passed() {
rc=$?
- if [ -z "${IN_INITLOG:-}" ]; then
- initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
- else
- trap "" SIGPIPE
- echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap - SIGPIPE
- fi
+ #if [ -z "${IN_INITLOG:-}" ]; then
+ # initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
+ #fi
[ "$BOOTUP" != "verbose" -a -z "$LSB" ] && echo_passed
return $rc
}
@@ -409,13 +396,9 @@ passed() {
# Log a warning
warning() {
rc=$?
- if [ -z "${IN_INITLOG:-}" ]; then
- initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
- else
- trap "" SIGPIPE
- echo "$INITLOG_ARGS -n $0 -s \"$1\" -e 1" >&21
- trap - SIGPIPE
- fi
+ #if [ -z "${IN_INITLOG:-}" ]; then
+ # initlog $INITLOG_ARGS -n $0 -s "$1" -e 1
+ #fi
[ "$BOOTUP" != "verbose" -a -z "$LSB" ] && echo_warning
return $rc
}
@@ -428,7 +411,7 @@ action() {
echo -n "$STRING " > /etc/rhgb/temp/rhgb-console
fi
shift
- initlog $INITLOG_ARGS -c "$*" && success $"$STRING" || failure $"$STRING"
+ $* && success $"$STRING" || failure $"$STRING"
rc=$?
echo
if [ "${RHGB_STARTED}" != "" -a -w /etc/rhgb/temp/rhgb-console ]; then